using Edu.Model.Entity.Web;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Model.ViewModel.Web
{
    /// <summary>
    /// 教师团队管理视图实体类
    /// </summary>
    public class RB_Web_Teacher_ViewModel : RB_Web_Teacher
    {
        /// <summary>
        /// 性别字符串
        /// </summary>
        public string SexStr
        {
            get
            {
                string str = "男";
                if (this.Sex == 1)
                {
                    str = "女";
                }
                return str;
            }
        }

        /// <summary>
        /// 类型字符串
        /// </summary>
        public string TypeStr
        {
            get
            {
                string str = "";
                switch (this.Type)
                {
                    case 1: str = "日语培训老师"; break;
                    case 2: str = "留学服务老师"; break;
                }
                return str;
            }
        }
    }
}
